Package Details: freetype2-ubuntu 2.6.1-1

Git Clone URL: https://aur.archlinux.org/freetype2-ubuntu.git (read-only)
Package Base: freetype2-ubuntu
Description: TrueType font rendering library, with Ubuntu's LCD rendering patches
Upstream URL: https://launchpad.net/ubuntu/+source/freetype
Keywords: fonts freetype LCD
Licenses: GPL
Conflicts: freetype2, freetype2-cleartype, freetype2-lcd
Provides: freetype2=2.6.1
Submitter: wonder
Maintainer: el_aur
Last Packager: el_aur
Votes: 427
Popularity: 3.104950
First Submitted: 2008-06-04 11:53
Last Updated: 2016-04-08 10:22

Required by (350)

Sources (5)

Latest Comments

gutigen commented on 2016-05-17 12:53

Any chance you could also make lib32 version of freetype2-ubuntu and maybe fontconfig-ubuntu? :)

oconnor663 commented on 2016-05-09 22:47

A thread with more discussion about this problem on the Infinality side: https://www.reddit.com/r/archlinux/comments/4hclfb/libbluray_needs_freetype2_but_i_have_infinality/

aur_slowdive commented on 2016-05-08 17:31

@gutigen
You can just reinstall the package, edit the PKGBUILD and add libfreetype.so to the provided dependencies since freetype2-ubuntu provides the library anyway afaik:

provides=("freetype2=$pkgver" "libfreetype.so")

I updated libbluray without errors after that.

gutigen commented on 2016-05-08 16:44

Can confirm libbluray wants to install freetype2 from repos, had to put it on ignore for now.

aur_slowdive commented on 2016-05-08 15:14

I think you need to add that the package provides libfreetype.so? freetype2-infinality did the same thing now since the libbluray update.
edit: Oh wait actually the infinality package didn't do that but I guess it's the same problem there

el_aur commented on 2016-04-08 10:23

Updated to 2.6.1

Det commented on 2016-02-22 10:11

That was a 7 months old comment about a bug fixed 7 months ago...

grayich commented on 2015-07-11 17:16

error - http://paste.org.ru/?jhja4l

von commented on 2015-06-22 19:58

Any chance of you adopting the lib32 package?

https://aur.archlinux.org/packages/lib32-freetype2-ubuntu

el_aur commented on 2015-03-24 20:53

Latest version of patch can be found here:
https://launchpad.net/ubuntu/+source/freetype
Bumped to 2.5.2-2ubuntu3 version

clfarron4 commented on 2015-02-27 22:59

I'm disowning this package because I'm not able to reconcile the differences between what Arch is running and this package in a satisfactory manner.

sl1pkn07 commented on 2014-12-08 02:50

ops!. sorry the OOD. :S

sl1pkn07 commented on 2014-12-08 02:50

ops!. sorry the FOD :S

duffydack commented on 2014-12-07 14:08

curl: (22) The requested URL returned error: 404 Not Found for freetype-2.5.2.tar.bz2. Can't even seem to download from the SF site either.

Regulus commented on 2014-06-20 13:28

2.5.2-1ubuntu5

Regulus commented on 2014-05-12 10:02

New version 2.5.2-1ubuntu4 from Utopic

Regulus commented on 2014-05-01 16:04

New version 2.5.2-1ubuntu3 from Utopic

pkgbuild with libxft instead libxft-ubuntu (it is no longer in AUR):
http://pastebin.com/XREDSAaH

Regulus commented on 2014-05-01 15:48

New version 2.5.2-1ubuntu3 from Utopic

clfarron4 commented on 2014-04-22 22:29

@Von: Unflagged. Ubuntu stack is still at 2.5.2.

von commented on 2014-04-21 16:45

pandemonium ~ % pacman -Ss freetype2
extra/freetype2 2.5.3-2

clfarron4 commented on 2014-04-04 21:36

@josemota: Builds fine here.

Have you tried downloading the tarball from the AUR, extracting, changing into the extracted folder and installing it with "makepkg -si"?

josemota commented on 2014-04-03 15:04

Tried installing this today. Got the following error.

Aur Targets (1): freetype2-ubuntu

Proceed with installation? [Y/n]
Edit freetype2-ubuntu PKGBUILD with $EDITOR? [Y/n]
patching file debian/README.source
patching file debian/changelog
patching file debian/compat
patching file debian/control
patching file debian/copyright
patching file debian/freetype-config.man.sgml
patching file debian/freetype2-demos.dirs
patching file debian/libfreetype6-dev.doc-base
patching file debian/libfreetype6-dev.install
patching file debian/libfreetype6-dev.manpages
patching file debian/libfreetype6-udeb.dirs
patching file debian/libfreetype6-udeb.install
patching file debian/libfreetype6.install
patching file debian/libfreetype6.symbols
patching file debian/patches-freetype/CVE-2014-2240.patch
patching file debian/patches-freetype/CVE-2014-2241.patch
patching file debian/patches-freetype/enable-gxvalid-otvalid.patch
patching file debian/patches-freetype/enable-subpixel-rendering.patch
patching file debian/patches-freetype/freetype-2.1.7-backwards.compat.patch
patching file debian/patches-freetype/revert_scalable_fonts_metric.patch
patching file debian/patches-freetype/series
patching file debian/patches-ft2demos/compiler_hardening_fixes.patch
patching file debian/patches-ft2demos/ft2demos-2.1.7-no-rpath.patch
patching file debian/patches-ft2demos/ft2demos-broken-internal-includes.patch
patching file debian/patches-ft2demos/ft2demos-ftview-wrong-types
patching file debian/patches-ft2demos/revert-wrong-extern.patch
patching file debian/patches-ft2demos/series
patching file debian/rules
patching file debian/source/lintian-overrides
patching file src/base/ftapi.c
patching file include/config/ftoption.h
Hunk #1 succeeded at 92 (offset -1 lines).
patching file include/config/ftoption.h
Reversed (or previously applied) patch detected! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file include/config/ftoption.h.rej
patching file include/config/ftoption.h
Reversed (or previously applied) patch detected! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file include/config/ftoption.h.rej
patching file include/config/ftoption.h
Reversed (or previously applied) patch detected! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file include/config/ftoption.h.rej
patching file include/config/ftoption.h
Reversed (or previously applied) patch detected! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file include/config/ftoption.h.rej
The build failed.

clfarron4 commented on 2014-03-27 18:28

Unflagged. Freetype2 for Ubuntu is still version 2.5.2. Also, it looks like it's being freezed pre-release as on this timetable: https://wiki.ubuntu.com/TrustyTahr/ReleaseSchedule

clfarron4 commented on 2014-03-23 23:16

Hey, so my original intentions with this package were to stick with the Ubuntu branch very tightly with the releases.

I could work on mashing together something for 2.5.3, but I won't get to that until Wednesday because of work (and I've been busy recently). In the meantime, if you want to propose updates to this package to the 2.5.3 with something, there is always my Github https://github.com/clfarron4/freetype2-ubuntu-archlinux

rtfreedman commented on 2014-03-19 22:05

builds fine with freetype2-2.5.3 and extra/freetype2/fix_segfault_with_harfbuzz.diff when removing CVE patches (already included in 2.5.3) from debian/patches-freetype/series, ie.
sed -e 's/CVE-2014-2240.patch//' -e 's/CVE-2014-2241.patch//' -i debian/patches-freetype/series
... lightly tested

Regulus commented on 2014-03-19 12:35

Ops...I haven't seen the update

Regulus commented on 2014-03-19 12:32

New release 2.5.2-1ubuntu2

Regulus commented on 2013-12-29 15:10

2.5.2-1ubuntu1

clfarron4 commented on 2013-12-23 22:14

_ubrel=trusty works for me. lelele's PKGBUILD will be used with that amendment.

Regulus commented on 2013-12-23 11:45

_ubrel=trusty?
The rest is ok for me.

Regulus commented on 2013-12-23 11:20

_ubrel=trusty?

lelele commented on 2013-12-22 19:01

http://pastebin.centos.org/6811/
I made one updated to the latest. Kindly please check for erros. ty. :D

Regulus commented on 2013-12-21 13:42

2.5.1-2ubuntu1

Regulus commented on 2013-12-12 22:09

fontconfig-ubuntu is from Trusty (dev version) too.

clfarron4 commented on 2013-12-12 14:56

@Regulus: In that case, I've uploaded the PKGBUILD.

Just so people know, I think I've pulling the package from Trusty (the last version was from Raring).

clfarron4 commented on 2013-12-12 14:51

@Regulus: In that case, I've uploaded the PKGBUILD and I now own the package.

Regulus commented on 2013-12-12 10:46

@clfarron4
It seems ok

clfarron4 commented on 2013-12-11 21:38

How does this PKGBUILD look?

http://pastie.org/private/ptb3irmzs0ereeghgnsmg

I am new to building packages, but it seems to work for me.

clfarron4 commented on 2013-12-11 21:31

How does this PKGBUILD look?

http://pastie.org/private/ptb3irmzs0ereeghgnsmg

leo_rockway commented on 2013-12-10 03:41

freetype-ubuntu 2.5.1 is out for saucy. Flagging this out of date.

https://launchpad.net/ubuntu/+source/freetype/2.5.1-1ubuntu2

BoTuLoX commented on 2013-10-03 00:39

Add patch to build dependencies please!

justinkb commented on 2013-07-15 22:25

Thanks Diego! Got it working earlier after looking at the diff via git aur mirror! Somehow my comment got lost :-)

Diego commented on 2013-07-15 09:40

You have also to adjust a bit the PKGBULD... try this:
**********************************************************************************
http://pastebin.com/nkqf1pj3
**********************************************************************************
should be equal to 2.5.0.1-2

Diego commented on 2013-07-15 09:33

you have also to adjust a bit the PKGBUILD try this
********************************************************
http://pastebin.com/nkqf1pj3

Diego commented on 2013-07-15 09:19

I don't have old PKGBUILD... have you tryed to restart Xorg after update?
Yes if you revert to precise you obtain the old font rendering

Diego commented on 2013-07-15 09:18

I don't have old PKGBUILD... have you tryed to restart xorg?

justinkb commented on 2013-07-15 09:15

If I revert _ubver to 2.4.8-1 and _ubrel to precise, and update the checksum, will it give me the same font rendering as 2.5.0.1-2 did?

If not, can you please post an exact diff for 2.5.0.1-2 -> 2.5.0.1-4

justinkb commented on 2013-07-15 09:14

If I revert _ubver to 2.4.8-1 and _ubrel to precise, and update the checksum, will it give me the same font rendering as 2.5.0.1-2 did?

Diego commented on 2013-07-15 08:06

Before the last release the PKGBUILD was still using the old patches of Precise... now we are on Raring

justinkb commented on 2013-07-14 17:07

What exactly changed in the latest pkg revision? Some of my fonts (Consolas, for example) are rendered pretty really ugly now. Was fine before.

Regulus commented on 2013-07-13 19:50

Maybe it's better to change in -3 the package version?

Diego commented on 2013-07-12 11:11

@zwastik i've tested it and all works

zwastik commented on 2013-07-10 14:35

==> Validating source files with md5sums...
freetype-2.5.0.1.tar.bz2 ... FAILED
freetype_2.4.8-1.diff.gz ... Passed
freetype-2.2.1-enable-valid.patch ... Passed
freetype-2.3.0-enable-spr.patch ... Passed
freetype-2.4.11-enable-sph.patch ... Passed
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build freetype2-ubuntu.

Diego commented on 2013-06-26 13:57

thanks @WorMzy
i've merge this PKGBUILD with defaults

WorMzy commented on 2013-06-26 13:17

Dependencies need updating, or --without-png needs passing to the configure script, otherwise ./configure fails with "error: `libpng-config' not found".

Also, could you 'chmod +r freetype-2.2.1-enable-valid.patch' before you next make a src archive. It's not a big deal, but the current permissions cause the md5sum checks to fail when building in a clean chroot (i.e. using devtools from extra).

Cheers.

Diego commented on 2013-06-09 12:26

Abandoned

rationalperseus commented on 2013-06-09 11:25

Updated PKGBUILD (version 2.4.12): http://pastebin.com/uJ20bdpy

I just don't have time to adopt it, but hope it helps somebody.

rationalperseus commented on 2013-06-09 11:23

Updated PKGBUILD (version 2.4.12): http://pastebin.com/MwpepR2b

I just don't have time to adopt it, but hope it helps somebody.

graysky commented on 2013-03-07 20:32

Newbie question: beyond installation, is there any configuration util or the like?

lukpod commented on 2012-09-06 16:39

@mantainer
Why don't you use the patch for the current freetype2 version? It can be found here:
https://launchpad.net/ubuntu/quantal/+source/freetype

Anonymous comment on 2012-05-29 02:47

Sure, bug35833.patch and bug35847.patch are added.
Thanks.

chenxing commented on 2012-05-29 00:18

There are two more patches for freetype2 in the official Arch repository, which fix some problems. Can you please include them in this PKGBUILD? Thanks.
https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/freetype2&id=ff3f8973c4eb755e236abb2caf21e918e53b7b66

Anonymous comment on 2012-04-19 15:34

File is now fontconfig_2.8.0-3ubuntu9.diff.gz as opposed to ubuntu8.

silvik commented on 2012-04-19 14:31

great :)
thanks!

Anonymous comment on 2012-04-19 05:43

I'm not that free but I'll try.

cairo-ubuntu updated

silvik commented on 2012-04-18 15:06

hey tevin, thanks for maintaining most of -ubuntu packages.
could you please take a look at cairo-ubuntu, maybe you have the time to maintain it as well? it's orphan and outdated. thanks again :)

Hador commented on 2012-04-03 14:13

I'm afraid I must step down from maintaining the ubuntu-fonts series of packages.
I do not have the time to maintain these packages reliably so I hope someone else can step in and take my place; besides, most of the important patches have already been been merged upstream, so there's no big difference between these packages and arch's official ones.

julroy67 commented on 2012-04-03 13:44

2.4.8-1ubuntu2 is out, some minor patches added.

Anonymous comment on 2012-03-12 19:43

freetype2 2.4.9 has been released

artafinde commented on 2012-02-23 10:17

I don't think there's a bug track for AUR packages. So yeah notify the maintainer should be the case.

Anonymous comment on 2012-02-18 18:50

I can confirm that a "--jobs=9" MAKEFLAG breaks the build, though per the wiki, I'm not sure which bugtracker this should be reported to. Since this is a AUR package, I'm assuming the maintainer? Apologies for my herp-derp there.

artafinde commented on 2012-02-18 17:25

I know what the flag is doing. I got an 8core machine and those kind of errors should be reported to the pacmaintainer . This is what I read on the wiki if I recall since it's something that can be fixed on the makefile (or pkgfile). This is what I think. Is any file depend on some other being compiled?Something like that might be the case.

Anonymous comment on 2012-02-18 16:54

@artafinde: It's possible your telling make to run nine jobs is past what your system can handle. Unless you've got a quad-core processor that hyperthreads to eight logical cores, or something similar, that MAKEFLAG is going to break your build. That MAKEFLAG has no effect on the code; only how many simultaneous jobs are used to compile it faster. Try using something more reasonable like "--jobs=4" and see if that helps.

artafinde commented on 2012-02-14 22:14

When I compile it with MAKEFLAGS="-j9" it fails. When I try with -j1 works fine.

fgr commented on 2011-11-20 20:04

@RazrFalcon
you can remove 'noexec' in /etc/fstab then reboot.

RazrFalcon commented on 2011-10-29 11:15

FIXED!
I just commit this line in fstab and reboot:
tmpfs /tmp tmpfs nodev,noexec,nosuid 0 0

bug...

RazrFalcon commented on 2011-10-29 11:10

Yes. All works fine, except this package =/

Hador commented on 2011-10-29 09:40

can't reproduce, is yaourt up to date & working with other packages?

RazrFalcon commented on 2011-10-28 23:19

Hello.
I can't compile it:

Hunk #1 succeeded at 92 (offset -1 lines).
patching file modules.cfg
Hunk #2 succeeded at 129 (offset 5 lines).
/tmp/yaourt-tmp-razrfalcon/aur-freetype2-ubuntu/./PKGBUILD: line 46: ./configure: Permission denied
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build freetype2-ubuntu.
==> Restart building freetype2-ubuntu ? [y/N]
==> -----------------------------------------
==>
==> ERROR: unable to update


Any ideas?

Anonymous comment on 2011-10-25 06:41

Ok, worked. Might have been caused by my horrible internet connection.

Anonymous comment on 2011-10-24 19:11

I can't download the diff.gz file, are you sure the link is ok?

Hador commented on 2011-10-24 18:38

hm, the link works fine here.. maybe you just run into a temporary issue

Anonymous comment on 2011-10-24 18:32

I can't download the diff.gz file, are you sure the link is ok?

Evilandi666 commented on 2011-08-06 00:03

mhh something changed with last update ... all freetype2 font's look changed a bit.

Hador commented on 2010-11-17 17:17

Updated to the latest ubuntu patches.

Hador commented on 2010-10-03 20:36

there's a lot of fuss about the infinality patches http://aur.archlinux.org/packages.php?ID=38888 .
Haven't tried myself though ;-)

giddie commented on 2010-10-03 19:41

Thanks; so I'm using freetype2 and fontconfig from [extra] along with fontconfig-lcd from AUR, which seems to be doing the trick. Anything else worth investigating?

Hador commented on 2010-10-03 19:28

yes, most of them, and the patches that are still applied by the ubuntu devs are used in the extra package as well.

Hador commented on 2010-10-03 19:27

yes, most of them, and the patches that are still applied in this package are used by the extra package as well.

giddie commented on 2010-10-01 14:57

Could someone clarify for me some of the history of this package? How come this has no advantage over the vanilla package? Have the patches been merged upstream?

Hador commented on 2010-07-19 17:49

Updated. As of now, there is no real difference between the "vanilla" arch package and this one.

Hador commented on 2010-07-14 08:12

freetype 2.4.0 is out, waiting for arch devs to update the extra package

Anonymous comment on 2010-07-09 13:03

I had no problems whatsoever building on x86_64 using the provided.

Hador commented on 2010-06-21 19:21

Actually, no, the package builds fine. That guy just forgot to clean his build directory.
And that thread is indeed months old.

anonymous_user commented on 2010-06-19 14:25

Theres build errors in this package:

http://bbs.archlinux.org/viewtopic.php?id=95673